summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tools/builder_common.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tools/builder_common.sh b/tools/builder_common.sh
index 61c0933..ac862f4 100644
--- a/tools/builder_common.sh
+++ b/tools/builder_common.sh
@@ -878,7 +878,7 @@ create_ova_image() {
echo -n ">>> Creating / partition... " | tee -a ${LOGFILE}
makefs \
-B little \
- -o label=${PRODUCT_NAME} \
+ -o label=${PRODUCT_NAME},version=2 \
-s ${OVA_FIRST_PART_SIZE} \
${OVA_TMP}/${OVFUFS} \
${FINAL_CHROOT_DIR} 2>&1 >> ${LOGFILE}
@@ -893,6 +893,14 @@ create_ova_image() {
fi
echo "Done!" | tee -a ${LOGFILE}
+ echo -n ">>> Enabling SUJ on recently created disk... " | tee -a ${LOGFILE}
+ if ! tunefs -j enable ${OVA_TMP}/${OVFUFS} 2>&1 >>${LOGFILE}; then
+ echo "Failed!" | tee -a ${LOGFILE}
+ echo ">>> ERROR: Error enabling SUJ on disk. STOPPING!" | tee -a ${LOGFILE}
+ print_error_pfS
+ fi
+ echo "Done!" | tee -a ${LOGFILE}
+
# Create raw disk
echo -n ">>> Creating raw disk... " | tee -a ${LOGFILE}
mkimg \
OpenPOWER on IntegriCloud